cURL
curl --request GET \
--url https://api.invopop.com/transform/v1/workflows/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/workflows/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/transform/v1/workflows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/transform/v1/workflows/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/transform/v1/workflows/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/transform/v1/workflows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"country": "<string>",
"created_at": "<string>",
"description": "<string>",
"disabled": true,
"draft": true,
"hash": "<string>",
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"rescue": [
{
"action": "email.send",
"config": {},
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"next": [
{
"code": "<string>",
"status": "OK",
"step_id": "186522a6-e697-4e34-8498-eee961bcb845",
"steps": "<array>",
"stop": true
}
],
"notes": "<string>",
"summary": "<string>"
}
],
"schema": "<string>",
"steps": [
{
"action": "email.send",
"config": {},
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"next": [
{
"code": "<string>",
"status": "OK",
"step_id": "186522a6-e697-4e34-8498-eee961bcb845",
"steps": "<array>",
"stop": true
}
],
"notes": "<string>",
"summary": "<string>"
}
],
"updated_at": "<string>",
"version": "<string>",
"versions": [
{
"created_at": "<string>",
"hash": "<string>",
"name": "<string>",
"src": "<string>",
"src_id": "<string>",
"version": "<string>"
}
]
}Workflows
Fetch a workflow
Fetch an existing workflow given its UUID.
GET
/
transform
/
v1
/
workflows
/
{id}
cURL
curl --request GET \
--url https://api.invopop.com/transform/v1/workflows/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/workflows/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/transform/v1/workflows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/transform/v1/workflows/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/transform/v1/workflows/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/transform/v1/workflows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"country": "<string>",
"created_at": "<string>",
"description": "<string>",
"disabled": true,
"draft": true,
"hash": "<string>",
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"rescue": [
{
"action": "email.send",
"config": {},
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"next": [
{
"code": "<string>",
"status": "OK",
"step_id": "186522a6-e697-4e34-8498-eee961bcb845",
"steps": "<array>",
"stop": true
}
],
"notes": "<string>",
"summary": "<string>"
}
],
"schema": "<string>",
"steps": [
{
"action": "email.send",
"config": {},
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"next": [
{
"code": "<string>",
"status": "OK",
"step_id": "186522a6-e697-4e34-8498-eee961bcb845",
"steps": "<array>",
"stop": true
}
],
"notes": "<string>",
"summary": "<string>"
}
],
"updated_at": "<string>",
"version": "<string>",
"versions": [
{
"created_at": "<string>",
"hash": "<string>",
"name": "<string>",
"src": "<string>",
"src_id": "<string>",
"version": "<string>"
}
]
}Authorizations
Path Parameters
Response
200 - application/json
OK
Was this page helpful?